Bug 107921 - Buttons are badly viewed or invisible in high contrast mode (white) on Windows 8.1 64 Enterprise.
Summary: Buttons are badly viewed or invisible in high contrast mode (white) on Window...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: High-Contrast
  Show dependency treegraph
 
Reported: 2017-05-17 21:03 UTC by konstantin.ketskalo
Modified: 2020-05-20 03:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description konstantin.ketskalo 2017-05-17 21:03:48 UTC
Description:
Buttons are badly viewed or invisible in high contrast mode (white) on Windows 8.1 64 Enterprise.

Steps to Reproduce:
1. Launch Windows 8.1
2. Launch Libre office (writer, calc, whatever)
3. Change theme to high contrast (white)
4. Look at instrunents buttons

Actual Results:  
Some pictures of buttons in upper part of the window are hard to understand what that is. Some are white and can't be seen on the white background, unless you point mouse cursor on it.
I've used white high contrast theme and also I've changed purple to dark green, but it doesn't seem to have effect on it.

Expected Results:
I think users should be able to see buttons in any color scheme. )


Reproducible: Always

User Profile Reset: No

Additional Info:
[Information automatically included from LibreOffice]
Locale: uk
Module: TextDocument
[Information guessed from browser]
OS: Windows 8.1 x64 Enterprise
OS is 64bit: no
Builds ID: LibreOffice 5.3.3.2


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36
Comment 1 V Stuart Foote 2017-05-18 21:01:44 UTC
Confirming. The LibreOffice "High Contrast" icon set is a bit rough to view on Windows 8, 8.1, 10 with default grey themes--but it is _very_ hard to view with the Microsoft High Contrast White theme.

For the other Microsoft Accessibility themes, our High Contrast icons render visible with the other Microsoft "High Contrast #1", "High Contrast #2" and "High Contrast Black" themes.

Unfortunately, when system DE is set to High Contrast our own High Contrast are locked for use--so I can not check readability of Sifr. But beleive that for the "High Contrast White" MS theme, our Sifr icon set would be more readable than our own High Contrast icon theme.

@Björn, you'd tweaked some of the FG/BG color config for system HC for bug 71511 and noted then the handling for the Icons was a bit off. Any chance of adjusting the AutoDetectSystemHC() so that MS "High Contrast White" specifically uses Sifr rather than our aged High Contrast icon set?

@Jay, the Galaxy based HC icon set is getting a bit long in the tooth--would a rework based on Sifr make sense?
Comment 2 V Stuart Foote 2017-05-18 21:09:06 UTC
By the way, if you are testing this on Windows--the easiest way to enter and exit the HC mode is with <l-Alt>+<Shift>+<PrtScn> then adjust the Desktop personalize.

I found on my multi-headed system that the HC White would crash the Windows session--but the short-cut at login allows you to disable the System HC.
Comment 3 Yousuf Philips (jay) (retired) 2017-05-19 21:56:46 UTC
(In reply to V Stuart Foote from comment #1)
> @Jay, the Galaxy based HC icon set is getting a bit long in the tooth--would
> a rework based on Sifr make sense?

Yes Sifr HC is intended to replace Galaxy HC.
Comment 4 QA Administrators 2018-05-20 02:33:15 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-05-20 03:40:15 UTC
Dear konstantin.ketskalo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug